package fitconnect.api.schema;

public final class FitConnectSchemaScopes {

    // Schema-Basis-URI für alle Services
    private static final String BASE_URI = "https://schema.fitko.de/fit-connect";

    // Events sind nicht API-spezifisch
    public static final String EVENTS_BASE_URI = BASE_URI + "/events/";

    // API-spezifische Schema-Basis-URI
    private static final String API_BASE_URI = BASE_URI + "/submission-api";

    // Callbacks sind API-spezifisch
    public static final String CALLBACKS_BASE_URI = API_BASE_URI + "/callbacks/";

    // Problems sind API-spezifisch
    public static final String PROBLEMS_BASE_URI = API_BASE_URI + "/problems/";

    // API-spezifische Schema-Basis-URI
    private static final String SET_BASE_URI = BASE_URI + "/set-payload";

    // static class only for constants
    private FitConnectSchemaScopes() {
    }
}

